{% extends 'base_permanencier.html' %}
{% load crispy_forms_tags %}
{% block title %}Modification de clients{% endblock %}
{% block content %}
    <div class="card">
        <div class="card-body">
            <form method="POST" class="post-form">
                {% csrf_token %}
                {{ form | crispy }}
                <button name="_submit" type="submit" class="btn btn-success">Continuer</button>
            </form>
            <a class="btn btn-warning mt-1" href="{% url 'client-select' pk=object.pk %}">Marquer pour le rachat</a>
        </div>
    </div>
    <br>
    <div class="card mt2">
        <div class="card-body">
            <div class="card-title">
                <h4>Commandes précédentes</h4>
            </div>
            <ul>
                {% for order in object.orders.all %}
                    <li>
                        <a href="{% url 'order-view' pk=order.pk %}">{{ order }}</a> {{ order.amount }} €
                        {% if order.transaction_guichet %}
                            payée avec {{ order.transaction_guichet }}
                            {% else %}
                            <a class="btn btn-danger" href="{% url 'order-delete' pk=order.pk %}">Supprimer</a>
                        {% endif %}
                    </li>
                {% endfor %}
            </ul>
        </div>
    </div>

{% endblock %}